<template>
    <div>
        <div class="flex flex-col md:flex-row">
            <div class="flex flex-row md:flex-col flex-none bg-neutral-600 w-full md:w-56 h-full md:min-h-screen md:h-screen">
                <ul class="list-reset flex flex-col text-center md:text-left overflow-hidden w-full" role="tablist">
                    <li class="overflow-hidden py-2 pl-3 text-neutral-300">Profile Settings</li>

                    <li v-for="(tab, index) in tabs" class="flex-1 bg-transparent"
                        :class="{ 'bg-neutral-500': tab.isActive }">
                        <a class="flex flex-none items-center align-middle text-neutral-100">
                            <button
                                v-text="tab.title"
                                class="ml-2 pl-3 py-1 text-sm focus:outline-none w-full text-left"
                                role="tab"
                                :aria-selected="tab.isActive"
                                @click="activeTab = tab"></button>
                        </a>
                    </li>
                </ul>
            </div>

            <div class="flex-1 flex flex-col min-h-screen h-screen">
                <div class="flex-1 flex overflow-y-auto md:overflow-y-hidden relative">
                    <slot></slot>
                </div>
            </div>
        </div>

    </div>
</template>

<script>
    export default {
        name: "TabsComponent",
        data() {
            return {
                tabs: [],
                activeTab: null
            }
        },
        mounted() {
            this.tabs = this.$children;
            this.setInitialActiveTab();
        },
        watch: {
            activeTab(activeTab) {
                this.tabs.map(tab => (tab.isActive = tab == activeTab));
            }
        },
        methods: {
            setInitialActiveTab() {
                this.activeTab = this.tabs.find(tab => tab.active) || this.tabs[0];
            }
        }
    }
</script>
